#!/opt/alt/python37/bin/python3.7 -bb
# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

import subprocess

from future import standard_library
standard_library.install_aliases()
from builtins import *
import os


def Execute(command):
    proc = subprocess.Popen(command,
                            shell=True,
                            executable='/bin/bash',
                            stdout=subprocess.PIPE,
                            text=True,
                            bufsize=-1)
    return proc.communicate()[0]


def install_cagefs_module_plesk():
    # mysqlpwd = open('/etc/psa/.psa.shadow', 'r').readline().rstrip()
    mysql_client = "mysql --no-beep --skip-column-names --user=admin --password=`cat /etc/psa/.psa.shadow` --execute="
    result = Execute(mysql_client + '"select * from psa.Modules where name=\'plesk-cagefs\'"')
    if result == "":
        Execute(mysql_client + '"insert into psa.Modules(name, packname, display_name, description, icon) '+\
                "values('plesk-cagefs', 'plesk-cagefs', 'CageFS', 'GageFS', "+\
                "'/images/modules/plesk-cagefs/addon_CloudLinux_logo2.png')\"")

def delete_cagefs_module_plesk():
    # mysqlpwd = open('/etc/psa/.psa.shadow', 'r').readline().rstrip()
    mysql_client = "mysql --no-beep --skip-column-names --user=admin --password=`cat /etc/psa/.psa.shadow` --execute="
    Execute(mysql_client + '"delete from psa.Modules where name=\'plesk-cagefs\'"')
